package com.mcwl.resource.service;

import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.request.RequestWorkFlow;
import com.mcwl.resource.domain.vo.PageVo;

/**
 * 工作流 业务层
 * @author DaiZibo
 * @date 2025/1/9
 * @apiNote
 */

public interface WorkFlowService {
    AjaxResult addWorkFlow(RequestWorkFlow requestWorkFlow);

    void updateWorkFlow(RequestWorkFlow requestWorkFlow);

    void deleteWorkFlow(Long id);

    AjaxResult selectWorkFlow(PageVo pageVo);

    AjaxResult selectWorkFlowById(Long id);
}
